PHP Manual
Prev |  | Next

# posix_times

(PHP 3 >= 3.0.13, PHP 4, PHP 5)

posix_times -- Get process times

## Description

array posix_times ( void )

Gets information about the current CPU usage.

## Return Values

Returns a hash of strings with information about the current process CPU usage. The indices of the hash are:

- ticks - the number of clock ticks that have elapsed since reboot.

- utime - user time used by the current process.

- stime - system time used by the current process.

- cutime - user time used by current process and children.

- cstime - system time used by current process and children.

## Notes

Warning
This function isn't reliable to use, it may return negative values for high times.

Prev | Home | Next
posix_strerror | Up | posix_ttyname